--- a/scripts/url.pl
+++ b/scripts/url.pl
@@ -321,7 +321,7 @@
 Irssi::settings_add_str('lookandfeel', 'url_color', '12');
 Irssi::settings_add_bool('misc', 'url_redundant', 0);
 Irssi::settings_add_str('misc', 'browse_command',
-			'galeon-wrapper %u >/dev/null &');
+			'sensible-browser %u >/dev/null &');
 Irssi::settings_add_str('misc', 'url_file', '~/.irc_url_list.html');
 
 Irssi::signal_add('print text', \&print_text);
